Skip to main content
POST
/
api
/
v1
/
datasets
/
{dataset_id}
/
audio
/
upload-url
Get Upload Url
curl --request POST \
  --url https://api.example.com/api/v1/datasets/{dataset_id}/audio/upload-url \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "filename": "<string>",
  "content_type": "<string>",
  "file_size": 123
}
'
{
  "upload_url": "<string>",
  "fields": {},
  "key": "<string>",
  "expires_in": 123,
  "audio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

dataset_id
string<uuid>
required

Body

application/json

Request schema for generating a presigned upload URL.

filename
string
required
Required string length: 1 - 500
content_type
string
required

MIME type of the audio file

file_size
integer
required

File size in bytes

Response

Successful Response

Response schema for presigned upload URL.

upload_url
string
required

Presigned URL for direct S3 upload

fields
Fields · object
required

Form fields to include in POST request

key
string
required

S3 object key

expires_in
integer
required

URL expiration in seconds

audio_id
string<uuid>
required

ID of the created audio file record